LINUX.ORG.RU

Старого брюзжания тред

 , , ,


0

1

Я постарел, хочется стабильности. Установить какой-нибудь Дебиан и жить с ним оставшиеся пять лет. Сегодня вообще чуть себе макпро не купил.

А суть то вся в чем, появилось необходимость установить какую-то утилиту и тут я понял, что мой арчик безбожно стар и требует большого обновления, а мне лениво.

И да, привет всем!

П.С. тег admin при том, что macosx

Ну так установи. В чём проблема-то?

Stahl ★★☆ ()
Ответ на: комментарий от ErasimHolmogorin

Только это, макъ то тоже раз в год обновлять нужно крупно.

ptarh ★★★★★ ()
Ответ на: комментарий от ptarh

Есть устройства, которые нет необходимости обновлять вообще? Записную книжку не предлагать, она конечна.

ErasimHolmogorin ()
Ответ на: комментарий от ErasimHolmogorin

Есть устройства, которые нет необходимости обновлять вообще?

Да!

ptarh ★★★★★ ()
Ответ на: комментарий от ErasimHolmogorin

Можно поставить Debian Stable, там обновления минимальны. И можно apt-get update && apt-get upgrade по cron-у.

Dobriy_i_Prostoy ()

хочется стабильности. Установить какой-нибудь Дебиан и жить с ним оставшиеся пять лет.
появилось необходимость установить какую-то утилиту и тут я понял, что мой арчик безбожно стар и требует большого обновления

Как показывает практика, свежие пакеты в дебиане требуют плясок с бубном и превращают его в тот же арчик.
М.б. тебе поставить какой-нибудь Mint и жить с ним оставшиеся сколько-то лет?

siphonops ★★★ ()
Ответ на: комментарий от siphonops

По факту меня и арчик устраивает, я так, поворчать как старый пень пришел, после тяжелого трудодня. Развлекаюсь неся околесицу.

ErasimHolmogorin ()
Ответ на: комментарий от ptah_alexs

Не, на лекциях не сплю, я сейчас недоаспирант, я на них отдыхаю после работы.

ErasimHolmogorin ()
Ответ на: комментарий от ErasimHolmogorin

а куда там моя вся писанина поместится?

Такого условия в изначальном запросе не было!

ptarh ★★★★★ ()

Ты будешь смеяться, но Мак тоже может устареть и потребовать обновления.

lenin386 ★★★ ()

оставшиеся пять лет

у тебя рак?

stevejobs ★★★☆☆ ()

установить какую-то утилиту и тут я понял, что мой арчик безбожно стар и требует большого обновления

Локальное зеркало пакетов решит эту проблему. И утилиту поставишь и обновляться не надо. Ну или поищи на Arch Rollback Machine старую версию утилиты, которая подходит под твою систему.

sergej ★★★★★ ()

Установить какой-нибудь Дебиан и жить с ним оставшиеся пять лет.

жить с ним оставшиеся пять лет.

ты умрешь?

Spoofing ★★★★★ ()
Ответ на: комментарий от stevejobs

Имеется ввиду, что пять лет без обновлений, а потом новый дистрибутив.

ErasimHolmogorin ()
Ответ на: комментарий от ErasimHolmogorin

Я не понимаю где связь между OS X и стабильно, стоит на макбуке, падает будь здоров.

Jefail ★★★★ ()
Ответ на: комментарий от ErasimHolmogorin

CentOS 7 же. Настолько новый, что можно пять лет не обновлять ждать пока другие догонят :)

alpha ★★★★★ ()
Ответ на: комментарий от sergej

Локальное зеркало пакетов решит эту проблему

Какое элегантное решение из стана арчеводов.

Alsvartr ★★★★★ ()
Ответ на: комментарий от Alsvartr

Не из «стана арчеводов», а из 90х когда дистрибутивы ставились с разных носителей, а не из интернета. Наверное зря я сказал «зеркало», надо было говорить «снимок».

sergej ★★★★★ ()
Ответ на: комментарий от sergej

Но зачем сейчас заниматься такой страшной непродутивной ерундой - не совсем понятно.

Alsvartr ★★★★★ ()

Поставь windows xp, там нет обновлений.

kinik ★★☆ ()
Ответ на: комментарий от Alsvartr

Ну если человек боится обновлений, что ему делать? Зафиксировать версию и ей пользоваться.

sergej ★★★★★ ()
Ответ на: комментарий от ptarh

Буки ваши яббловские, вроде как, можно и раз в пару лет мажорненько так со вкусом обновлять.
Чаще ведь ничего у них нового всё равно не появляется.
А макак про так и вообще лет на пяток с запасом хватит. Дури то ёмоё в этой бочке.

Hertz ★★★★★ ()
Последнее исправление: Hertz (всего исправлений: 1)
Ответ на: комментарий от sergej

Или просто пользоваться нормальными дистрибутивами.

Alsvartr ★★★★★ ()
Ответ на: комментарий от Hertz

ТС про апдейт софта рассуждал, а не про апгрейд железа. Буки можно и раз в 3 года обновлять, и потом еще за половину цены продать, с них не убудет.

ptarh ★★★★★ ()
Ответ на: комментарий от sergej

Убунта LTS обновляется без проблем в течении всего срока поддержки и обладает наиболее адекватной политикой обновлений. Можно держать актуальную систему и не бояться арчепроблем.

Alsvartr ★★★★★ ()
Ответ на: комментарий от Alsvartr

Если держать актуальную систему, то проблем и так нет. Тред начался с того, что ТС попытался поставить новый пакет на старую систему и огорчился, что пришлось обновляться.

Для решения таких проблем в арче есть ARM, другие дистры сохраняют старые версии пакетов в репозитариях и предлагают варианты разрешения конфликтов.

sergej ★★★★★ ()
Ответ на: комментарий от sergej

Тред начался с того, что ТС попытался поставить новый пакет на старую систему и огорчился, что пришлось обновляться.

Дело в том, что 2-3 месяца без обновлений для арча - это критичный срок. Скорей всего что-то сломается или отвалится. А для более консервативных дистрибов - нормальная практика. Ну изменится у тебя минорная версия ядра, да прилетят багфиксы для системных пакетов - это ни на что не повлияет. Зато те же иксы и браузеры в убунте всегда можно держать последних версий. В арче же нет такого разделения. Там после 3 месяцев необновления бутаешься в новую систему и начинаешь тестировать, что на этот раз отвалилось. Естественно, люди от такого устают.

Alsvartr ★★★★★ ()
Ответ на: комментарий от Dobriy_i_Prostoy

sudo pacman -Syu тоже можно по крону. Так и делаю.

intelfx ★★★★★ ()
Ответ на: комментарий от Alsvartr

Зато обновление с одного LTS на другой может и жёстко сфейлиться, а вот в арче всё ломается понемногу. :)

intelfx ★★★★★ ()
Ответ на: комментарий от Alsvartr

Дело в том, что 2-3 месяца без обновлений для арча - это критичный срок.

ну да, критичный. Качать с гиг обнов придется, а так норм (=

arcanis ★★★ ()
Ответ на: комментарий от NoobeR

не знаю, трафик мб? =) Ну и часик на втыкание в терминал и бегущие шарпы при средней говнистости интернета.

arcanis ★★★ ()

Бывает. Юбунту установи в виртуалочке и поиграйся. Установи дебьяна. Поплюёшься и отпустит.

paran0id ★★★★★ ()
Ответ на: комментарий от intelfx

Поэтому нормальные люди используют openSUSE, в которой обновления между версиями происходят гладко.

kukuruku ()
Ответ на: комментарий от kukuruku

Суся у меня ломалась как нефиг делать. Хотя, вполне вероятно, от того, что я был ещё юн и неопытен (ц).

intelfx ★★★★★ ()
Ответ на: комментарий от intelfx

Ну знаешь, лучше один раз в два года, чем понемного каждые 3 месяца =)

Хотя последняя обнова 12.04 -> 14.04 на всех подопытных машинах прошла гладко.

Alsvartr ★★★★★ ()
Ответ на: комментарий от Alsvartr

Ну знаешь, лучше один раз в два года, чем понемного каждые 3 месяца =)

Имхо наоборот. Вот потому у меня и арч, собственно... Да и не ломается он вовсе, разве что регрессии в апстриме...

intelfx ★★★★★ ()
Последнее исправление: intelfx (всего исправлений: 1)
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.